import * as React from 'react';
import { CheckBoxType, Option } from './CheckedSelectUtils';
declare type CheckedSelectProps = {
    name?: string;
    onChange: (values: {
        value: string;
    }[]) => void;
    value: {
        value: string;
    }[];
    options: Option[];
    checkBoxType?: CheckBoxType;
    placeholder?: string | JSX.Element;
    reactSelectComponents?: {
        [componentType: string]: (props: any) => JSX.Element;
    };
    isClearable?: boolean;
    isDisabled?: boolean;
    onAddAll?: () => void;
    onClearAll?: () => void;
    isAddAllDisabled?: boolean;
    addAllLabel?: string | JSX.Element;
    clearAllLabel?: string | JSX.Element;
    showControls?: boolean;
    height?: number;
    onInputChange?: (input: string) => void;
    inputValue?: string;
};
export default class CheckedSelect extends React.Component<CheckedSelectProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<CheckedSelectProps>;
    defaultInputValue: string;
    get selectedValues(): {
        [value: string]: {
            value: string;
        };
    };
    get addAllLabel(): string | JSX.Element;
    get clearAllLabel(): string | JSX.Element;
    get components(): {
        [componentType: string]: (props: any) => JSX.Element;
    } | {
        GroupHeading: () => JSX.Element;
    } | undefined;
    private defaultOnAddAll;
    private defaultOnClearAll;
    private getOptionLabel;
    get inputValue(): string;
    defaultOnInputChange(input: string, options: {
        action: string;
    }): void;
    private buttonsSection;
    render(): JSX.Element;
}
export {};
