/// <reference types="react" />
export declare type Option = {
    value: string;
    label: string | JSX.Element;
    disabled?: boolean;
};
export declare enum CheckBoxType {
    STRING = "string",
    HTML = "html"
}
export declare function getStringCheckBox(option: Option, selectedValues: {
    [optionValue: string]: any;
}): string;
export declare function getHtmlCheckBox(option: Option, selectedValues: {
    [optionValue: string]: any;
}): JSX.Element;
export declare function getSelectedValuesMap(values: {
    value: string;
}[]): {
    [value: string]: {
        value: string;
    };
};
export declare function getOptionLabel(option: Option, selectedValues: {
    [optionValue: string]: any;
}, checkBoxType?: CheckBoxType): JSX.Element;
