import * as React from 'react';
import { CSSProperties } from 'react';
declare type ButtonSpec = {
    key: string;
    content: JSX.Element;
    onClick: () => void;
    disabled?: boolean;
};
export declare type DownloadControlsButton = 'PDF' | 'PNG' | 'SVG' | 'Data' | 'Summary Data' | 'Full Data';
export declare type DataType = 'summary' | 'full';
export declare enum DownloadControlOption {
    SHOW_ALL = "show",
    HIDE_DATA = "data",
    HIDE_ALL = "hide"
}
interface IDownloadControlsProps {
    getSvg?: () => SVGElement | null | PromiseLike<SVGElement | null>;
    getData?: (dataType?: DataType) => string | null | PromiseLike<string | null>;
    filename: string;
    buttons?: DownloadControlsButton[];
    additionalLeftButtons?: ButtonSpec[];
    additionalRightButtons?: ButtonSpec[];
    dontFade?: boolean;
    type?: 'button' | 'buttonGroup' | 'dropdown';
    style?: CSSProperties;
    className?: any;
    dataExtension?: string;
    showDownload?: boolean;
}
export default class DownloadControls extends React.Component<IDownloadControlsProps, {}> {
    constructor(props: any);
    private collapsed;
    private download;
    private downloadSvg;
    private downloadPng;
    private downloadPdf;
    private buildFileName;
    private downloadData;
    get downloadControlsButtons(): {
        [button in DownloadControlsButton]: ButtonSpec;
    };
    get showDownload(): boolean;
    get buttonSpecs(): ButtonSpec[];
    private onTooltipVisibleChange;
    render(): any;
}
export {};
