import * as React from 'react';
export interface IFadeInteractionProps {
    fadeInSeconds?: number;
    fadeOutSeconds?: number;
    showByDefault?: boolean;
    show?: boolean;
}
export default class FadeInteraction extends React.Component<IFadeInteractionProps, {}> {
    static defaultProps: {
        fadeInSeconds: number;
        fadeOutSeconds: number;
    };
    constructor(props: IFadeInteractionProps);
    focused: boolean;
    mouseInside: boolean;
    initialShow: boolean;
    componentWillUpdate(nextProps: IFadeInteractionProps): void;
    get fadeInStyle(): {
        WebkitTransition: string;
        MozTransition: string;
        OTransition: string;
        transition: string;
        opacity: number;
    };
    get fadeOutStyle(): {
        WebkitTransition: string;
        MozTransition: string;
        OTransition: string;
        transition: string;
        opacity: number;
    };
    get style(): {
        WebkitTransition: string;
        MozTransition: string;
        OTransition: string;
        transition: string;
        opacity: number;
    };
    get show(): boolean;
    private onFocus;
    private onBlur;
    onMouseEnter(): void;
    onMouseLeave(): void;
    render(): JSX.Element;
}
