import Immutable from 'seamless-immutable';
export interface ICacheData<T> {
    status: 'pending' | 'complete' | 'error';
    data?: T;
}
export interface ICache<T> {
    [queryId: string]: ICacheData<T>;
}
export declare type ImmutableCache<T> = ICache<T> & Immutable.ImmutableObject<ICache<T>>;
/**
 * @author Selcuk Onur Sumer
 */
export default class SimpleCache<T, Query> {
    protected _cache: ImmutableCache<T>;
    protected _pendingCache: ICache<T>;
    constructor();
    protected fetch(query: Query): Promise<void>;
    protected filter(ids: string[], query: Query): Query;
    getData(ids: string[], query: Query): ICache<T>;
    protected putData(data: ICache<T>): void;
}
