export declare function longestCommonStartingSubstring(str1: string, str2: string): string;
export declare function stringListToSet(alos: ReadonlyArray<string>): {
    [s: string]: boolean;
};
export declare function stringListToIndexSet(alos: ReadonlyArray<string>): {
    [s: string]: number;
};
export declare function stringListToMap<T>(alos: ReadonlyArray<string>, mapFn: (s: string, index: number, array: ReadonlyArray<string>) => T): {
    [s: string]: T;
};
/**
 * Unquote a string wrapped with single or double quotes.
 *
 * @param {string} str  input string wrapped with single or double quotes
 */
export declare function unquote(str: string): string;
/**
 * Replaces escaped tab ("\\t") and new line ("\\n") substrings with actual tab ("\t") and new line ("\n") characters.
 *
 * @param {string} str  input string with "\\t" and "\\n" substrings
 */
export declare function unescapeTabDelimited(str: string): string;
export declare function pluralize(base: string, num: number, pluralSuffix?: string): string;
export declare function capitalize(str: string): string;
export declare function lowerCaseAndCapitalizeString(str: string): string;
export declare function capitalizeFirstLetters(str: string): string;
export declare function isUrl(str: string): boolean;
