export declare enum CanonicalMutationType {
    MISSENSE = "missense",
    FRAME_SHIFT_INS = "frame_shift_ins",
    FRAME_SHIFT_DEL = "frame_shift_del",
    FRAMESHIFT = "frameshift",
    NONSENSE = "nonsense",
    SPLICE_SITE = "splice_site",
    NONSTART = "nonstart",
    NONSTOP = "nonstop",
    IN_FRAME_DEL = "in_frame_del",
    IN_FRAME_INS = "in_frame_ins",
    INFRAME = "inframe",
    TRUNCATING = "truncating",
    FUSION = "fusion",
    SILENT = "silent",
    OTHER = "other"
}
export declare enum VusMutationType {
    MISSENSE_UNKNOWN_SIGNIFICANCE = "missense_unknown_significance",
    MISSENSE_PUTATIVE_DRIVER = "missense_putative_driver",
    INFRAME_UNKNOWN_SIGNIFICANCE = "inframe_unknown_significance",
    INFRAME_PUTATIVE_DRIVER = "inframe_putative_driver",
    TRUNCATING_UNKNOWN_SIGNIFICANCE = "truncating_unknown_significance",
    TRUNCATING_PUTATIVE_DRIVER = "truncating_putative_driver",
    SPLICE_UNKNOWN_SIGNIFICANCE = "splice_unknown_significance",
    SPLICE_PUTATIVE_DRIVER = "splice_putative_driver",
    FUSION_UNKNOWN_SIGNIFICANCE = "fusion_unknown_significance",
    FUSION_PUTATIVE_DRIVER = "fusion_putative_driver",
    OTHER_UNKNOWN_SIGNIFICANCE = "other_unknown_significance",
    OTHER_PUTATIVE_DRIVER = "other_putative_driver"
}
export declare enum ProteinImpactWithoutVusMutationType {
    MISSENSE = "missense",
    TRUNCATING = "truncating",
    INFRAME = "inframe",
    SPLICE = "splice_site",
    FUSION = "fusion",
    OTHER = "other"
}
export declare enum ProteinImpactType {
    MISSENSE = "missense",
    TRUNCATING = "truncating",
    INFRAME = "inframe",
    SPLICE = "splice_site",
    FUSION = "fusion",
    OTHER = "other",
    MISSENSE_UNKNOWN_SIGNIFICANCE = "missense_unknown_significance",
    MISSENSE_PUTATIVE_DRIVER = "missense_putative_driver",
    INFRAME_UNKNOWN_SIGNIFICANCE = "inframe_unknown_significance",
    INFRAME_PUTATIVE_DRIVER = "inframe_putative_driver",
    TRUNCATING_UNKNOWN_SIGNIFICANCE = "truncating_unknown_significance",
    TRUNCATING_PUTATIVE_DRIVER = "truncating_putative_driver",
    SPLICE_UNKNOWN_SIGNIFICANCE = "splice_unknown_significance",
    SPLICE_PUTATIVE_DRIVER = "splice_putative_driver",
    FUSION_UNKNOWN_SIGNIFICANCE = "fusion_unknown_significance",
    FUSION_PUTATIVE_DRIVER = "fusion_putative_driver",
    OTHER_UNKNOWN_SIGNIFICANCE = "other_unknown_significance",
    OTHER_PUTATIVE_DRIVER = "other_putative_driver"
}
export declare enum DriverVsVusType {
    DRIVER = "driver",
    VUS = "VUS"
}
export declare const CANONICAL_MUTATION_TYPE_MAP: {
    [lowerCaseType: string]: CanonicalMutationType;
};
export declare function getProteinImpactType(mutationType: string): ProteinImpactType;
export declare function getProteinImpactTypeFromCanonical(mutationType: CanonicalMutationType): ProteinImpactType;
export declare function getCanonicalMutationType(mutationType: string): CanonicalMutationType;
export declare const CanonicalMutationTypeList: CanonicalMutationType[];
export default getCanonicalMutationType;
