export declare const baseLabelStyles: {
    fontFamily: string;
    fontSize: number;
    letterSpacing: string;
    padding: number;
    stroke: string;
    strokeWidth: number;
};
export declare const axisLabelStyles: {
    fontFamily: string;
    fontSize: number;
    letterSpacing: string;
    padding: number;
    stroke: string;
    strokeWidth: number;
} & {
    fontSize: number;
    padding: number;
};
export declare const axisTickLabelStyles: {
    fontFamily: string;
    fontSize: number;
    letterSpacing: string;
    padding: number;
    stroke: string;
    strokeWidth: number;
} & {
    fill: string;
    padding: number;
};
export declare const legendLabelStyles: {
    fontFamily: string;
    fontSize: number;
    letterSpacing: string;
    padding: number;
    stroke: string;
    strokeWidth: number;
};
declare const CBIOPORTAL_VICTORY_THEME: {
    area: {
        style: {
            data: {
                fill: string;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    axis: {
        style: {
            axis: {
                fill: string;
                stroke: string;
                strokeWidth: number;
                strokeLinecap: string;
                strokeLinejoin: string;
            };
            axisLabel: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            } & {
                fontSize: number;
                padding: number;
            };
            grid: {
                fill: string;
                stroke: string;
                strokeOpacity: (t: number) => 0 | 1;
                strokeDasharray: string;
                strokeLinecap: string;
                strokeLinejoin: string;
                pointerEvents: string;
            };
            ticks: {
                fill: string;
                size: number;
                stroke: string;
                strokeWidth: number;
                strokeLinecap: string;
                strokeLinejoin: string;
            };
            tickLabels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            } & {
                fill: string;
                padding: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    bar: {
        style: {
            data: {
                fill: string;
                padding: number;
                strokeWidth: number;
            };
            labels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    boxplot: {
        style: {
            max: {
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            maxLabels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            median: {
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            medianLabels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            min: {
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            minLabels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            q1: {
                padding: number;
                fill: string;
            };
            q1Labels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            q3: {
                padding: number;
                fill: string;
            };
            q3Labels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
        boxWidth: number;
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    candlestick: {
        style: {
            data: {
                stroke: string;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
        candleColors: {
            positive: string;
            negative: string;
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    chart: {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    errorbar: {
        borderWidth: number;
        style: {
            data: {
                fill: string;
                opacity: number;
                stroke: string;
                strokeWidth: number;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    group: {
        colorScale: string[];
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    line: {
        style: {
            data: {
                fill: string;
                opacity: number;
                stroke: string;
                strokeWidth: number;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    pie: {
        colorScale: string[];
        style: {
            data: {
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            labels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            } & {
                padding: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    scatter: {
        style: {
            data: {
                fill: string;
                opacity: number;
                stroke: string;
                strokeWidth: number;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    stack: {
        colorScale: string[];
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    tooltip: {
        style: {
            textAnchor: string;
        } & {
            fontFamily: string;
            fontSize: number;
            letterSpacing: string;
            padding: number;
            stroke: string;
            strokeWidth: number;
        } & {
            padding: number;
            pointerEvents: string;
        };
        flyoutStyle: {
            stroke: string;
            strokeWidth: number;
            fill: string;
            pointerEvents: string;
        };
        cornerRadius: number;
        pointerLength: number;
    };
    voronoi: {
        style: {
            data: {
                fill: string;
                stroke: string;
                strokeWidth: number;
            };
            labels: {
                textAnchor: string;
            } & {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            } & {
                padding: number;
                pointerEvents: string;
            };
            flyout: {
                stroke: string;
                strokeWidth: number;
                fill: string;
                pointerEvents: string;
            };
        };
    } & {
        fontFamily: string;
        width: number;
        height: number;
        padding: number;
    };
    legend: {
        colorScale: string[];
        gutter: number;
        orientation: string;
        titleOrientation: string;
        style: {
            data: {
                type: string;
                size: number;
                strokeWidth: number;
                stroke: string;
            };
            labels: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            };
            title: {
                fontFamily: string;
                fontSize: number;
                letterSpacing: string;
                padding: number;
                stroke: string;
                strokeWidth: number;
            } & {
                padding: number;
            };
        };
    };
};
export default CBIOPORTAL_VICTORY_THEME;
